@echo off
cd /d %~dp0
title T10 
rem 获取系统信息
if  exist %cd%\systeminfo.txt DEL %cd%\systeminfo.txt /q
if  exist %cd%\memorychip.txt DEL %cd%\memorychip.txt /q

if  exist %cd%\2400.txt DEL %cd%\2400.txt /q
if  exist %cd%\3200.txt DEL %cd%\3200.txt /q
if  exist %cd%\3733.txt DEL %cd%\3733.txt /q
if  exist %cd%\4267.txt DEL %cd%\4267.txt /q

systeminfo  >%cd%\systeminfo.txt
wmic memorychip >%cd%\memorychip.txt

REM 判断内存容量

if exist %cd%\8G.txt DEL %cd%\8G.txt /q
if exist %cd%\16G.txt DEL %cd%\16G.txt /q

for /f "tokens=2,5" %%i in ('type %cd%\systeminfo.txt ^| find "8,104 MB"') do (
@echo.>%cd%\8G.txt
set mem_1=8G
)
for /f "tokens=2,5" %%i in ('type %cd%\systeminfo.txt ^| find "16,296 MB"') do (
@echo.>%cd%\16G.txt
set mem_1=16G
)
for /f "tokens=2,5" %%i in ('type %cd%\systeminfo.txt ^| find "16,297 MB"') do (
@echo.>%cd%\16G.txt
set mem_1=16G
)
for /f "tokens=2,5" %%i in ('type %cd%\systeminfo.txt ^| find "16,127 MB"') do (
@echo.>%cd%\16G.txt
set mem_1=16G
)

for /f "tokens=2,5" %%i in ('type %cd%\systeminfo.txt ^| find "16,126 MB"') do (
@echo.>%cd%\16G.txt
set mem_1=16G
)

REM 判断内存频率

for /f "tokens=2,5" %%i in ('type %cd%\memorychip.txt ^| find "Memory  4267"') do (
@echo.>%cd%\4267.txt
set memsp=4267
)

for /f "tokens=2,5" %%i in ('type %cd%\memorychip.txt ^| find "Memory  3733"') do (
@echo.>%cd%\3733.txt
set memsp=3733
)

for /f "tokens=2,5" %%i in ('type %cd%\memorychip.txt ^| find "Memory  3200"') do (
@echo.>%cd%\3200.txt
set memsp=3200
)

for /f "tokens=2,5" %%i in ('type %cd%\memorychip.txt ^| find "Memory  2400"') do (
@echo.>%cd%\2400.txt
set memsp=2400
)

echo ***********************************************
echo *                                             *
echo *        按任意键更新BIOS                     *
echo *        更新过程请不要关闭窗口               *
echo         RAM: %mem_1%   %memsp%                *
echo ***********************************************

pause

if exist %cd%\8G.txt  CALL :bios_8G

if exist %cd%\16G.txt  CALL :bios_16G

GOTO :END

:bios_8G

rem 8G
if exist %cd%\2400.txt   FPTW64new -f T10_2400_CH1_8G_50hz.bin -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\3200.txt   FPTW64new -f T10_8G_NEW50HZ_316_3200.bin -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\3733.txt   FPTW64new -f  -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\4267.txt   FPTW64new -f  -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
goto :EOF

:bios_16G
if exist %cd%\2400.txt   FPTW64new -f t10__vbtnew2400_16G_50HZ.bin -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\3200.txt   FPTW64new -f t10_edid150d_new_3200_16G.bin -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\3733.txt   FPTW64new -f  -Y
if %ERRORLEVEL% NEQ 0  goto :Fail
if exist %cd%\4267.txt   FPTW64new -f  -Y
if %ERRORLEVEL% NEQ 0  goto :Fail


GOTO :END

:Fail
color 4f
echo ***********************************************
echo *                                             *
echo *       !!!!!!  Fail !!!!!!                   *
echo *                                             *
echo ***********************************************
pause
goto Fail


:END